import java.awt.*;
import java.awt.event.*;

public class MenuTest extends FrameExitHandling 
  implements ActionListener
{
  //Campos de texto para numero1, numero2 y resultado
  private TextField tfNum1, tfNum2, tfResult;
  //Botones para sumar, restar, multiplicar  y dividir
  private Button btAdd, btSub, btMul, btDiv;
  //declarar menu items
  private MenuItem miAdd, miSub, miMul, miDiv, miClose;
  //declarar las ventanas de dialogo para el error 

  public static void main(String[] args)
  {
    MenuTest f = new MenuTest();
    f.setSize(400,150);
    f.setVisible(true);
  }

  public MenuTest()
  {
    setTitle("Test Menus");
    setBackground(Color.white);
    setForeground(Color.blue);

    //crear MenuBar mb
    MenuBar mb = new MenuBar();
    setMenuBar(mb);

    //poner un Menu "Operacion" en mb
    Menu operationMenu = new Menu("Operacion");
    mb.add(operationMenu);

    //poner un Menu "Salir" en mb
    Menu exitMenu = new Menu("Salir");
    mb.add(exitMenu);

    //poner los MenuItems
    operationMenu.add(miAdd= new MenuItem("Sumar"));
    operationMenu.add(miSub = new MenuItem("Restar"));
    operationMenu.add(miMul = new MenuItem("Multiplicar"));
    operationMenu.add(miDiv = new MenuItem("Dividir"));
    exitMenu.add(miClose = new MenuItem("Cerrar"));

    //establecer el FlowLayout para p1
    Panel p1 = new Panel();
    p1.setLayout(new FlowLayout());
    p1.add(new Label("Numero 1"));
    p1.add(tfNum1 = new TextField(3));
    p1.add(new Label("Numero 2"));
    p1.add(tfNum2 = new TextField(3));
    p1.add(new Label("Resultado"));
    p1.add(tfResult = new TextField(4));
    tfResult.setEditable(false);

    //establecer el FlowLayout para p2
    Panel p2 = new Panel();
    p2.setLayout(new FlowLayout());
    p2.add(btAdd = new Button("Sumar"));
    p2.add(btSub = new Button("Restar"));
    p2.add(btMul = new Button("Multiplicar"));
    p2.add(btDiv = new Button("Dividir"));

    //establecer el BorderLayout para el frame 
    setLayout(new BorderLayout());
    add("Center", p1);
    add("South", p2);

    //Registrarse como oyente en cada boton
    btAdd.addActionListener(this);
    btSub.addActionListener(this);
    btMul.addActionListener(this);
    btDiv.addActionListener(this);
    miAdd.addActionListener(this);
    miSub.addActionListener(this);
    miMul.addActionListener(this);
    miDiv.addActionListener(this);
    miClose.addActionListener(this);

    //Crear un objeto ventana de dialogo
    //que tenga como padre este marco
  }

  //manipular los ActionEvent asociados a los 
  //botones y a los items del menu
  public void actionPerformed(ActionEvent e)
  {
    String actionCommand = e.getActionCommand();

    if (e.getSource() instanceof Button)
    {
      if ("Sumar".equals(actionCommand))
        calculate('+');
      else if ("Restar".equals(actionCommand))
        calculate('-');
      else if ("Multiplicar".equals(actionCommand))
        calculate('*');
      else if ("Dividir".equals(actionCommand))
        calculate('/');
    }
    else if (e.getSource() instanceof MenuItem)
    {
      if ("Sumar".equals(actionCommand))
        calculate('+');
      else if ("Restar".equals(actionCommand))
        calculate('-');
      else if ("Multiplicar".equals(actionCommand))
        calculate('*');
      else if ("Dividir".equals(actionCommand))
        calculate('/');
      else if ("Cerrar".equals(actionCommand))
        System.exit(0);
    }
  }

  //realiza la operacion indicada sobre los numeros y
  //muestra el resultado en el campo result.
  private void calculate(char operator)
  {
    //se obtien los numeros
    int num1 = (Integer.parseInt(tfNum1.getText().trim()));
    int num2 = (Integer.parseInt(tfNum2.getText().trim()));
    int result = 0;

    //seleccionar la operacion a realizar
    switch (operator)
    {
      case '+': result = num1 + num2;
                break;
      case '-': result = num1 - num2;
                break;
      case '*': result = num1 * num2;
                break;
      case '/': result = num1 / num2;
    }

    //poner el resultado en el ultimo campo de texto
    tfResult.setText(String.valueOf(result));
  }
}














